リストの作成
リストの作成.
APIリファレンスに戻る
/Lists Endpoints
POST
/twitter/list/createAPI 認証
AuthorizationBearer token · header必須TwexAPIのグローバル認証トークン (Bearer Token)。ヘッダーに含める必要があります:Authorization: Bearer <YOUR_TWEXAPI_KEY>。
リクエストボディ
必須application/jsoncookiestring必須ユーザー自身が承認した Twitter セッション資格情報または auth_token(BYOC — Bring Your Own Cookie)。機密情報は保存されず、完全なステートレスプロキシとして実行されます。詳細は [認証・セキュリティガイド](/ja/authentication#write-operations--byoc-bring-your-own-cookie) および [Cookie 取得手順](https://youtube-promotion.pages.dev/how-to-get-twitter-cookie) を参照。
list_namestring必須The name of the list.
list_descriptionstring必須The description of the list.
is_privateboolean必須Whether the list is private.
レスポンス
200A list object.
codeinteger必須HTTP ステータスコード(200 は成功)
msgstring必須レスポンスメッセージ(例: 'success')
dataListModel必須返却されるコアデータオブジェクトまたは配列
プロパティを表示プロパティを非表示
idstring必須The ID of the list
namestring必須ユーザー表示名
descriptionstring必須プロフィール自己紹介文(Bio)
is_privateboolean必須Whether the list is private
member_countinteger必須The number of members in the list
subscriber_countinteger必須The number of subscribers in the list
422パラメータバリデーションエラー
detailValidationError[]プロパティを表示プロパティを非表示
Array of
ValidationErrorlocstring | integer[]必須プロパティを表示プロパティを非表示
Array of
string | integerAny of:
string
stringinteger
integermsgstring必須レスポンスメッセージ(例: 'success')
typestring必須inputanyctxobject⚡インタラクティブテストPOST
⚡インタラクティブテスト / Try APIPOSTLive Console
🌐対象サーバー:
https://api.twexapi.io● 本番環境レディ
✍️
書き込み操作の認証情報ガイド(TwexAPIキー + Twitter Cookie)
1. TwexAPIプラットフォームキー (Bearer Token): 下記の「API認証」に入力してください(API呼び出しと課金認証に使用)。
2. TwitterアカウントCookie: ツイート・いいね・フォロー等の書き込み操作のため、下記リクエストボディの cookie フィールドに対象TwitterアカウントのCookie(例: auth_token=...; ct0=...)を入力してください。
🔑API 認証
📝リクエストボディapplication/json
📡
暂无响应数据
请在「请求配置」中确认参数后,点击底部的「发送请求」按钮。
リクエスト例
curl -X POST "https://api.twexapi.io/twitter/list/create" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7",
"list_name": "string",
"list_description": "string",
"is_private": true
}'const response = await fetch("https://api.twexapi.io/twitter/list/create", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7",
"list_name": "string",
"list_description": "string",
"is_private": true
})
});import requests
response = requests.post(
"https://api.twexapi.io/twitter/list/create",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json={
"cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7",
"list_name": "string",
"list_description": "string",
"is_private": True
},
)レスポンス例
{
"code": 0,
"msg": "string",
"data": {
"id": "string",
"name": "string",
"description": "string",
"is_private": true,
"member_count": 0,
"subscriber_count": 0
}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}